Skip to main content
POST
Create Catalog Family Sources

Headers

X-Change-Origin
string

The screen the Catalog edit is made from: collection:<id> or project:<id>. Malformed → 400 INVALID_CHANGE_ORIGIN; an origin the editor cannot edit from → 403 CHANGE_ORIGIN_NOT_ACCESSIBLE.

Pattern: ^(collection|project):[1-9][0-9]*$

Path Parameters

workspaceId
string
required
familyId
string
required

Body

application/json
contactCompanyId
string | null
contactOfficeId
string | null
contactPersonId
string | null
isPrimary
boolean
confirmRelease
boolean

Response

201 - application/json
id
string
required
familyId
string
required
contactCompany
object | null
required
contactOffice
object | null
required
contactPerson
object | null
required
columnsAttributes
object
required
isPrimary
boolean
required
isDefault
boolean
required
version
number
required
createdAt
string
required
updatedAt
string
required
affectedParentFamilyIds
string[]
required
affectedProjectIds
string[]
required
warnings
object[]
required